AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AsteriskFastAGI Class
AsteriskFastAGI Properties
BindPort Property
MappingStrategy Property
PoolSize Property
SocketEncoding Property

| AsteriskFastAGI Properties

The AsteriskFastAGI type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| BindPort | Sets the TCP port to listen on for new connections. The default bind port is 4573.
| MappingStrategy | Sets the strategy to use for mapping AGIRequests to AGIScripts that serve them. The default mapping is a MappingStrategy.
| PoolSize | Sets the number of worker threads in the thread pool. This equals the maximum number of concurrent requests this AGIServer can serve. The default pool size is 10.
| SocketEncoding |

Top
See Also

#### Reference

AsteriskFastAGI Class
AsterNET.FastAGI Namespace